Bug 47644 - new port: devel/hs-alex, a Lex-like package for generating Haskell scanners
Summary: new port: devel/hs-alex, a Lex-like package for generating Haskell scanners
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-29 17:40 UTC by stolz
Modified: 2003-01-31 22:25 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (2.59 KB, text/plain)
2003-01-29 17:40 UTC, stolz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description stolz 2003-01-29 17:40:01 UTC
Alex is a Lex-like package for generating Haskell scanners.
Comment 1 corecode@corecode.ath.cx 2003-01-29 19:29:35 UTC
Lately Volker Stolz told:

> sed 's/^X//' >hs-alex/Makefile << 'END-of-hs-alex/Makefile'
[...]
> XDIST_SUBDIR=	${PORTNAME}-${PORTVERSION}

reason?

> XWRKSRC=	${WRKDIR}/${DISTNAME}

this is not needed

> sed 's/^X//' >hs-alex/pkg-plist << 'END-of-hs-alex/pkg-plist'
> Xbin/alex
> Xshare/doc/alex/alex.ps
> Xshare/doc/alex/alex.pdf
> X@dirrm share/doc/alex

%%PORTDOCS%%?

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 stolz 2003-01-30 08:32:47 UTC
On Wed, Jan 29, 2003 at 08:29:35PM +0100, Simon 'portlint' Schubert wrote:
> > XDIST_SUBDIR=	${PORTNAME}-${PORTVERSION}

The dist file name is simply alex.tar.gz (hence the explicit
DISTNAME, too), so to avoid mismatching checksums because
of different tarballs when the file is updated this is a
nice way to ensure that the correct tarball is present on
the FreeBSD FTP servers.

> > XWRKSRC=	${WRKDIR}/${DISTNAME}
> this is not needed

You're right, I forgot to erase this line after finding out
that it's better to simply set BUILD_WRKSRC.

> > sed 's/^X//' >hs-alex/pkg-plist << 'END-of-hs-alex/pkg-plist'
> > Xbin/alex
> > Xshare/doc/alex/alex.ps
> > Xshare/doc/alex/alex.pdf
> > X@dirrm share/doc/alex
> 
> %%PORTDOCS%%?

Fixed:
%%PORTDOCS%%share/doc/alex/alex.ps
%%PORTDOCS%%share/doc/alex/alex.pdf
%%PORTDOCS%%@dirrm share/doc/alex

Updated shar at http://www-i2.informatik.rwth-aachen.de/~stolz/hs-alex.shar

Thanks for the hints!
  Volker
-- 
http://www-i2.informatik.rwth-aachen.de/stolz/ *** PGP *** S/MIME
Comment 3 Oliver Braun freebsd_committer 2003-01-31 22:24:41 UTC
State Changed
From-To: open->closed

New port added, thanks!